Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::tokenize_view< Rng, Regex, SubMatchRange > Struct Template Reference
Views

## Public Member Functions
Rng | base () const
iterator_t< simple_view< Rng >)> | begin ()
template<bool Const = true>
iterator_t< Const > | begin () const
iterator_t< simple_view< Rng >)> | end ()
template<bool Const = true>
iterator_t< Const > | end () const
| tokenize_view (Rng rng, Regex rex, SubMatchRange subs, std::regex_constants::match_flag_type flags)

## Member Function Documentation

## ◆ begin()

template<typename Rng , typename Regex , typename SubMatchRange >
template<bool Const = true>

iterator_t<Const> ranges::tokenize_view< Rng, Regex, SubMatchRange >::begin | ( |  | ) | const

Precondition
  requires `range<Rng const>`

References ranges::begin, and ranges::end.

## ◆ end()

template<typename Rng , typename Regex , typename SubMatchRange >
template<bool Const = true>

iterator_t<Const> ranges::tokenize_view< Rng, Regex, SubMatchRange >::end | ( |  | ) | const

Precondition
  requires `range<Rng const>`